Subject: sshd vs. lftp
From: Chris Herborth <[email-masked]>
To: [email-masked]
Date: Fri, 05 Mar 2004 08:15:19 -0500

I've noticed some odd behaviour with the current sshd and lftp; "everything" 
is current (OpenSSH 3.8p1-1, lftp 2.6.10-2) and "working" (ssh and sftp work 
fine, lftp to other sites works fine).

When I lftp to this box, tab completion doesn't work, and the "mirror" 
command downloads the specified directory, but none of its contents:

chris@chrish [531]: pwd
/tmp
chris@chrish [532]: lc
mirror/  test-lftp/
chris@chrish [533]: find test-lftp -print
test-lftp
test-lftp/file1
test-lftp/file2
test-lftp/file3
chris@chrish [534]: cd mirror
/tmp/mirror
chris@chrish [535]: !lftp
lftp -u chris fish://localhost/tmp/
Password:
lftp chris@localhost:/tmp> mirror -v test-lftp
Total: 1 directory, 0 files, 0 symlinks

Using lftp 2.6.12 under Mac OS X exhibits the same problems; works fine with 
the other sites I tested, but not the box running cygwin's sshd.

sshd is started from inetd, which is running as a service.  CYGWIN is set to 
"ntea ntsec tty" for the service.

My home system is running cygwin's open ssh 3.7.1p2-2 and it appears to work 
properly with the current cygwin lftp and my Mac OS X build.

I wasn't able to find anything about this in the online docs, FAQ, or 
mailing list archives... any clues?

-- 
Chris Herborth                                     [email-masked]
Documentation Overlord, CRYPTOCard Corp.      http://www.cryptocard.com/
Never send a monster to do the work of an evil scientist.
Postatem obscuri lateris nescitis.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/